[Overview][Types][Classes][Index] | Reference for unit 'zstream' (#fcl)

# TGZFileStream.read

Read data from the compressed file

## Declaration

Source position: zstream.pp line 90

`public function TGZFileStream.read(`
`var buffer;`
`count: LongInt`
`):LongInt; override;`

## Arguments

`buffer` |  | Memory buffer to store the data in
`count` |  | Number of (uncompressed) bytes to read.

## Function result

Number of bytes (uncompressed) actually read

## Description

Read overrides the Read method of TStream to read the data from the compressed file. The Buffer parameter indicates where the read data should be stored. The Count parameter specifies the number of bytes (uncompressed) that should be read from the compressed file. Note that it is not possible to read from the stream if it was opened in write mode.

The function returns the number of uncompressed bytes actually read.

## Errors

If Buffer points to an invalid location, or does not have enough room for Count bytes, an exception will be raised.

## See also

Create |  | Create a new instance of TGZFileStream
Write |  | Write data to be compressed
Seek |  | Set the position in the compressed stream.

Documentation generated on: Feb 26 2014